## Model

```json
{
    "id": Number,
    "password": "", // wirte_only
    "last_login": "", // "2019-04-20 13:23:53"
    "is_superuser": Boolean,
    "username": "",
    "email": "",
    "is_staff": Boolean,
    "is_active": Boolean,
    "date_joined": "", // "2019-04-19 21:08:29"
    "role": "",
    "point": Number,
    "groups": [],
    "user_permissions": []
}
```



## Rest

### `GET` /api/user/

parameters:

```json

```

request:

```json
{
}
```

response:

```json
{
}
```

error:

```json
{
}
```

### `post` /api/user/

parameters:

```json

```

request:

```json
{ 
}
```

response:

```json
{
}
```

error:

```json
{
}
```

### `get` /api/user/:id/

parameters:

```json

```

request:

```json
{ 
}
```

response:

```json
{
}
```

error:

```json
{
}
```

### `put` /api/user/:id/

parameters:

```json

```

request:

```json
{ 
}
```

response:

```json
{
}
```

error:

```json
{
}
```

### `delete` /api/user/:id/

parameters:

```json

```

request:

```json
{ 
}
```

response:

```json
{
}
```

error:

```json
{
}
```

## Action

### `post` /api/user/login/

parameters:

```json

```

request:

```json
{
    "username": "",
    "password": ""
}
```

response:

```json
{
    <model>
}
```

error:

```json
{
}
```

### `get` /api/user/logout/

parameters:

```json

```

request:

```json
{
}
```

response:

```json
{
}
```

error:

```json
{
}
```

### `get` /api/user/getInfo/

parameters:

```json

```

request:

```json
{
}
```

response:

```json
{
    <model>
}
```

error:

```json
{
}
```

